body #mode_btn{
    margin: 0;
  width: 10vw;
  height: 10vh;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
 }
 label #mode_btn{
    width:50px;
    height:20px;
    position: relative;
    display: block;
    background: #ebebeb;
    border-radius: 20px;
    box-shadow: inset 0px 5px 15px rgba(0,0,0,0.4), inset 0px -5px 15px rgba(255,255,255,0.4);
    cursor: pointer;
    transition: 0.3s;
 }
 label:after #mode_btn{
    content: "";
    width:18px;
    height: 18px;
    position: absolute;
    top:1px;
    left:1px;
    background: linear-gradient(180deg,#ffcc89,#d8860b);
    border-radius: 18px;
    box-shadow: 0px 5px 10px rgba(0,0,0,0.2);
    transition: 0.3s;
 }
 input #mode_btn{
    width: 0;
    height: 0;
    visibility: hidden;
 }
 input:checked + label #mode_btn{
    background: #242424;
 }
 input:checked + label:after #mode_btn{
    left:49px;
    transform: translateX(-100%);
    background: linear-gradient(180deg,#777,#3a3a3a);
 }
 label:active:after #mode_btn{
    width: 26px;
 }
 .background #mode_btn{
    width:10vw;
    height: 10vh;
    background: #fff;
    z-index: -1;
    position: absolute;
    transition: 0.3s;
 }
 input:checked + label + .background #mode_btn{
    background:#242424;
 }
 label svg #mode_btn{
    position: absolute;
    width: 12px;
    top:4px;
    z-index: 100;
 }
 label svg.sun #mode_btn{
    left:4px;
    fill:#fff;
    transition: 0.3s;
 }
 label svg.moon #mode_btn{
    left:34px;
    fill:#7e7e7e;
    transition: 0.3s;
 }
 input:checked + label svg.sun #mode_btn{
    fill:#7e7e7e;
 }
 input:checked + label svg.moon #mode_btn{
    fill:#fff;
 }
 